%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20060918
%define hptzip_version 0.1.0
%define ver %husky_version
%define rel alt1.%husky_cvsdate

Name: fidoconf
Summary: Husky project common part
Summary(ru_RU.UTF-8): Основные файлы проекта Husky fidoconfig
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: %name.tar.bz2

Patch0: %name-tparser.c.diff
Patch1: %name-makefile.in2.diff
Patch2: %name-build.patch
Patch3: fidoconf-alt-libhusky.patch

BuildPreReq: libsmapi-devel = %smapi_version-%release
BuildPreReq: libhusky-devel = %husky_version-%release
BuildPreReq: huskybse = %husky_version-%release

%description
Husky fidoconfig project common files.

%description -l ru_RU.UTF-8
Основные файлы проекта Husky fidoconfig.

%package doc
Group: Books/Computer books
Summary: Husky project fidoconf documentation
Summary(ru_RU.UTF-8): Документация по проекту Husky fidoconfig

%description doc
Husky project fidoconf documentation.

%description -l ru_RU.UTF-8 doc
Документация по проекту Husky fidoconfig.

%package -n libfidoconf
Group: System/Libraries
Summary: Husky project main library
Summary(ru_RU.UTF-8): Основная библиотека проекта Husky fidoconfig

%description -n libfidoconf
Husky project main library.

%description -l ru_RU.UTF-8 -n libfidoconf
Основная библиотека проекта Husky fidoconfig.

%package -n libfidoconf-devel
Group: Development/C
Summary: Husky project main library header files
Requires: libfidoconf = %version-%release

%description -n libfidoconf-devel
Husky project main library header files.

%description -l ru_RU.UTF-8 -n libfidoconf-devel
Заголовочные файлы, необходимые для сборки программ проекта
Husky fidoconfig.

%package -n libfidoconf-devel-static
Group: Development/C
Summary: Husky project fidoconf static library files

%description -n libfidoconf-devel-static
Husky project fidoconf static library files.

%description -l ru_RU.UTF-8 -n libfidoconf-devel-static
Библиотеки, необходимые для статической линковки программ проекта
Husky fidoconfig.

%prep
%setup -q -n fidoconf
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
%make_build DEBIAN=1

%install
%__mkdir_p %buildroot%_sysconfdir/ftn

%__mkdir_p %buildroot%_prefix
%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_datadir
%__mkdir_p %buildroot%_mandir

%make_install DEBIAN=1 PREFIX=%buildroot%_prefix install install-man

%post -n libfidoconf
%post_ldconfig

%postun -n libfidoconf
%postun_ldconfig

%files
%doc ChangeLog HISTORY TODO doc/config doc/rus/*.texi
%attr(750,ftn,ftn)%_bindir/*
%_man1dir/*

%files doc
%dir %_docdir/husky/
%doc %_docdir/husky/*.html

%files -n libfidoconf
%_libdir/*.so.*

%files -n libfidoconf-devel
%dir %_includedir/fidoconf/
%_includedir/fidoconf/*.h
%_includedir/fidoconf/*.pas
%_libdir/*.so

%files -n libfidoconf-devel-static
%_libdir/*.a

%changelog
* Mon Sep 18 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060918
- 20060901 -> 20060918

* Sat Sep 16 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060901
- convert spec to UTF-8
- 20050710 -> 20060901
- spec clean

* Sun Jul 31 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050710
- update from cvs snapshot 20050710
- add docs

* Mon Jul 04 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050604
- update from cvs snapshot 20050604

* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040607
- Specfile rewritten from scratch
